/*
 * File:    IncompatibleMatrixException.java
 * Package: dm.vpi.lekce04.matrix
 * Project: Lekce04
 * 
 * Author : David Martinek
 * Address: Department of Intelligent Systems
 *          Faculty of Information Technology
 *          Brno University of Technology
 *          Bozetechova 2, 
 *          612 66 Brno, 
 *          Czech Republic
 * E-mail : martinek@fit.vutbr.cz
 * 
 * Created on 17.3.2005
 * (c) 2005, David Martinek
 * 
 * This project is provided under conditions of GNU General Public Licence.
 * The full text of GNU GPL in on internet: http://www.gnu.org/licenses/gpl.html
 * 
 * $Id: IncompatibleMatrixException.java,v 1.1 2005/03/17 17:51:29 martinek Exp $
 */
package dm.vpi.lekce04.matrix;

/**
 * <p>
 * Vjimka generovan nktermi operacemi tdy Matrix. Tato vjimka
 * identifikuje chyby, kdy operace nemohou bt provedeny, protoe rozmry
 * jednotlivch operand nejsou kompatibiln, tzn. e operace nad takovmi
 * maticemi nen definovna.
 * </p>
 * 
 * @author David Martinek
 */
public class IncompatibleMatrixException
    extends RuntimeException
{

  /**
   * Konstruktor. Pro jednoduchost budou vechny chyby identifikovny stejnm
   * chybovm hlenm.
   */
  public IncompatibleMatrixException()
  {
    super("Matice maj nekompatibiln rozmry");
  }

}

// end of file IncompatibleMatrixException.java
